Index: lemon/base.cc
===================================================================
--- lemon/base.cc	(revision 39)
+++ lemon/base.cc	(revision 7)
@@ -3,5 +3,5 @@
  * This file is a part of LEMON, a generic C++ optimization library
  *
- * Copyright (C) 2003-2008
+ * Copyright (C) 2003-2007
  * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
Index: lemon/bits/invalid.h
===================================================================
--- lemon/bits/invalid.h	(revision 39)
+++ lemon/bits/invalid.h	(revision 13)
@@ -3,5 +3,5 @@
  * This file is a part of LEMON, a generic C++ optimization library
  *
- * Copyright (C) 2003-2008
+ * Copyright (C) 2003-2007
  * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
Index: lemon/bits/utility.h
===================================================================
--- lemon/bits/utility.h	(revision 39)
+++ lemon/bits/utility.h	(revision 7)
@@ -3,5 +3,5 @@
  * This file is a part of LEMON, a generic C++ optimization library
  *
- * Copyright (C) 2003-2008
+ * Copyright (C) 2003-2007
  * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
Index: lemon/concept_check.h
===================================================================
--- lemon/concept_check.h	(revision 39)
+++ lemon/concept_check.h	(revision 27)
@@ -3,5 +3,5 @@
  * This file is a part of LEMON, a generic C++ optimization library
  *
- * Copyright (C) 2003-2008
+ * Copyright (C) 2003-2007
  * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
Index: lemon/concepts/maps.h
===================================================================
--- lemon/concepts/maps.h	(revision 39)
+++ lemon/concepts/maps.h	(revision 35)
@@ -3,5 +3,5 @@
  * This file is a part of LEMON, a generic C++ optimization library
  *
- * Copyright (C) 2003-2008
+ * Copyright (C) 2003-2007
  * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
Index: lemon/dim2.h
===================================================================
--- lemon/dim2.h	(revision 42)
+++ lemon/dim2.h	(revision 15)
@@ -3,5 +3,5 @@
  * This file is a part of LEMON, a generic C++ optimization library
  *
- * Copyright (C) 2003-2008
+ * Copyright (C) 2003-2007
  * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
@@ -534,8 +534,8 @@
 
 
-  ///Map of x-coordinates of a Point map
-
-  ///\ingroup maps
-  ///Map of x-coordinates of a \ref dim2::Point "Point"-map.
+  ///Map of x-coordinates of a \ref Point "Point"-map
+
+  ///\ingroup maps
+  ///Map of x-coordinates of a \ref Point "Point"-map.
   ///
   template<class M>
@@ -571,5 +571,5 @@
   }
 
-  ///Constant (read only) version of XMap
+  ///Constant (read only) version of \ref XMap
 
   ///\ingroup maps
@@ -601,5 +601,5 @@
   }
 
-  ///Map of y-coordinates of a Point map
+  ///Map of y-coordinates of a \ref Point "Point"-map
     
   ///\ingroup maps
@@ -638,5 +638,5 @@
   }
 
-  ///Constant (read only) version of YMap
+  ///Constant (read only) version of \ref YMap
 
   ///\ingroup maps
@@ -669,6 +669,6 @@
 
 
-    ///\brief Map of the normSquare()
-    ///of a Point map
+    ///\brief Map of the \ref Point::normSquare() "normSquare()"
+    ///of a \ref Point "Point"-map
     ///
     ///Map of the \ref Point::normSquare() "normSquare()"
Index: lemon/list_graph.h
===================================================================
--- lemon/list_graph.h	(revision 39)
+++ lemon/list_graph.h	(revision 2)
@@ -1,18 +1,0 @@
-/* -*- C++ -*-
- *
- * This file is a part of LEMON, a generic C++ optimization library
- *
- * Copyright (C) 2003-2008
- * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
- * (Egervary Research Group on Combinatorial Optimization, EGRES).
- *
- * Permission to use, modify and distribute this software is granted
- * provided that this copyright notice appears in all copies. For
- * precise terms see the accompanying LICENSE file.
- *
- * This software is provided "AS IS" with no warranty of any kind,
- * express or implied, and with no claim as to its suitability for any
- * purpose.
- *
- */
-
Index: lemon/maps.h
===================================================================
--- lemon/maps.h	(revision 42)
+++ lemon/maps.h	(revision 43)
@@ -3,5 +3,5 @@
  * This file is a part of LEMON, a generic C++ optimization library
  *
- * Copyright (C) 2003-2008
+ * Copyright (C) 2003-2007
  * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
@@ -116,9 +116,4 @@
 
     template<typename T1>
-    struct rebind {
-      typedef ConstMap<K, T1> other;
-    };
-
-    template<typename T1>
     ConstMap(const ConstMap<K, T1> &, const T &_v) : v(_v) {}
   };
@@ -175,11 +170,11 @@
 
     typedef True ReferenceMapTag;
-    ///Key type
+    ///\e
     typedef K Key;
-    ///Value type
+    ///\e
     typedef T Value;
-    ///Reference Type
+    ///\e
     typedef T& Reference;
-    ///Const reference type
+    ///\e
     typedef const T& ConstReference;
 
@@ -244,8 +239,4 @@
     }    
 
-    template <typename T1, typename C1 = std::less<T1> >
-    struct rebind {
-      typedef StdMap<Key, T1, C1> other;
-    };
   };
 
@@ -393,5 +384,5 @@
   ///Simple wrapping of a map
 
-  ///This \c concepts::ReadMap "read only map" returns the simple
+  ///This \ref concepts::ReadMap "read only map" returns the simple
   ///wrapping of the given map. Sometimes the reference maps cannot be
   ///combined with simple read maps. This map adaptor wraps the given
@@ -416,7 +407,7 @@
   };
 
-  ///Simple writable wrapping of the map
-
-  ///This \c concepts::WriteMap "write map" returns the simple
+  ///Simple writable wrapping of a map
+
+  ///This \ref concepts::WriteMap "write map" returns the simple
   ///wrapping of the given map. Sometimes the reference maps cannot be
   ///combined with simple read-write maps. This map adaptor wraps the
@@ -1554,5 +1545,5 @@
     }
 
-    /// Setter function of the map
+    /// The \c set function of the map
     void set(const Key& key, Value value) {
       if (value) {
Index: lemon/random.cc
===================================================================
--- lemon/random.cc	(revision 39)
+++ lemon/random.cc	(revision 16)
@@ -3,5 +3,5 @@
  * This file is a part of LEMON, a generic C++ optimization library
  *
- * Copyright (C) 2003-2008
+ * Copyright (C) 2003-2007
  * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
Index: lemon/random.h
===================================================================
--- lemon/random.h	(revision 39)
+++ lemon/random.h	(revision 23)
@@ -3,5 +3,5 @@
  * This file is a part of LEMON, a generic C++ optimization library
  *
- * Copyright (C) 2003-2008
+ * Copyright (C) 2003-2007
  * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
Index: lemon/tolerance.h
===================================================================
--- lemon/tolerance.h	(revision 42)
+++ lemon/tolerance.h	(revision 16)
@@ -3,5 +3,5 @@
  * This file is a part of LEMON, a generic C++ optimization library
  *
- * Copyright (C) 2003-2008
+ * Copyright (C) 2003-2007
  * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
@@ -42,5 +42,5 @@
   ///
   ///This is an abstract class, it should be specialized for all numerical
-  ///data types. These specialized classes like Tolerance<double>
+  ///data types. These specialized classes like \ref Tolerance\<double\>
   ///may offer additional tuning parameters.
   ///
@@ -92,7 +92,7 @@
 
 
-  ///Float specialization of Tolerance.
-
-  ///Float specialization of Tolerance.
+  ///Float specialization of \ref Tolerance.
+
+  ///Float specialization of \ref Tolerance.
   ///\sa Tolerance
   ///\relates Tolerance
@@ -143,7 +143,7 @@
   };
 
-  ///Double specialization of Tolerance.
-
-  ///Double specialization of Tolerance.
+  ///Double specialization of \ref Tolerance.
+
+  ///Double specialization of \ref Tolerance.
   ///\sa Tolerance
   ///\relates Tolerance
@@ -194,7 +194,7 @@
   };
 
-  ///Long double specialization of Tolerance.
-
-  ///Long double specialization of Tolerance.
+  ///Long double specialization of \ref Tolerance.
+
+  ///Long double specialization of \ref Tolerance.
   ///\sa Tolerance
   ///\relates Tolerance
@@ -245,7 +245,7 @@
   };
 
-  ///Integer specialization of Tolerance.
-
-  ///Integer specialization of Tolerance.
+  ///Integer specialization of \ref Tolerance.
+
+  ///Integer specialization of \ref Tolerance.
   ///\sa Tolerance
   template<>
@@ -257,5 +257,5 @@
 
     ///\name Comparisons
-    ///See Tolerance for more details.
+    ///See \ref Tolerance for more details.
 
     ///@{
@@ -278,7 +278,7 @@
   };
 
-  ///Unsigned integer specialization of Tolerance.
-
   ///Unsigned integer specialization of \ref Tolerance.
+
+  ///Unsigned integer specialization of \ref Tolerance.
   ///\sa Tolerance
   template<>
@@ -290,5 +290,5 @@
 
     ///\name Comparisons
-    ///See Tolerance for more details.
+    ///See \ref Tolerance for more details.
 
     ///@{
@@ -312,7 +312,7 @@
   
 
-  ///Long integer specialization of Tolerance.
-
-  ///Long integer specialization of Tolerance.
+  ///Long integer specialization of \ref Tolerance.
+
+  ///Long integer specialization of \ref Tolerance.
   ///\sa Tolerance
   template<>
@@ -324,5 +324,5 @@
 
     ///\name Comparisons
-    ///See Tolerance for more details.
+    ///See \ref Tolerance for more details.
 
     ///@{
@@ -345,7 +345,7 @@
   };
 
-  ///Unsigned long integer specialization of Tolerance.
-
   ///Unsigned long integer specialization of \ref Tolerance.
+
+  ///Unsigned long integer specialization of \ref Tolerance.
   ///\sa Tolerance
   template<>
@@ -357,5 +357,5 @@
 
     ///\name Comparisons
-    ///See Tolerance for more details.
+    ///See \ref Tolerance for more details.
 
     ///@{
@@ -380,5 +380,5 @@
 #if defined __GNUC__ && !defined __STRICT_ANSI__
 
-  ///Long long integer specialization of Tolerance.
+  ///Long long integer specialization of \ref Tolerance.
 
   ///Long long integer specialization of \ref Tolerance.
@@ -415,5 +415,5 @@
   };
 
-  ///Unsigned long long integer specialization of Tolerance.
+  ///Unsigned long long integer specialization of \ref Tolerance.
 
   ///Unsigned long long integer specialization of \ref Tolerance.
